org.modeshape.web.jcr.rest.client.json

## Enum IJsonConstants.RequestMethod

- java.lang.Object
- - java.lang.Enum<IJsonConstants.RequestMethod>
  - - org.modeshape.web.jcr.rest.client.json.IJsonConstants.RequestMethod

- All Implemented Interfaces:
    Serializable, Comparable<IJsonConstants.RequestMethod>
  Enclosing interface:
    IJsonConstants

      public static enum IJsonConstants.RequestMethod
      extends Enum<IJsonConstants.RequestMethod>

  The HTTP method to use when creating a connection with the REST server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` The HTTP DELETE request method.
    `GET` The HTTP GET request method.
    `POST` The HTTP POST request method.
    `PUT` The HTTP PUT request method.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IJsonConstants.RequestMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IJsonConstants.RequestMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELETE

          public static final IJsonConstants.RequestMethod DELETE

      The HTTP DELETE request method.

    - #### GET

          public static final IJsonConstants.RequestMethod GET

      The HTTP GET request method.

    - #### POST

          public static final IJsonConstants.RequestMethod POST

      The HTTP POST request method.

    - #### PUT

          public static final IJsonConstants.RequestMethod PUT

      The HTTP PUT request method.

  - ### Method Detail

    - #### values

          public static IJsonConstants.RequestMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IJsonConstants.RequestMethod c : IJsonConstants.RequestMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IJsonConstants.RequestMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.